<?php

namespace Drupal\openid_claveunica;

use Drupal\user\UserInterface;

/**
 * Compare the hash and user information to complete the profile.
 */
interface AccountProfileCheckerInterface {

  /**
   * Compare the hash with the user information.
   *
   * @param \Drupal\user\UserInterface $user
   *   The user object.
   * @param string $hash
   *   The hash to compare.
   *
   * @return bool
   *   The boolean result of the comparison.
   */
  public function checkHashCompleteProfile(UserInterface $user, string $hash): bool;

}
